VTK: vtkClientServerSynchronizedRenderers Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkClientServerSynchronizedRenderers Class Reference

vtkClientServerSynchronizedRenderers is a vtkSynchronizedRenderers subclass designed to be used in 2 processes, client-server mode. More...

`#include <vtkClientServerSynchronizedRenderers.h>`

Inheritance diagram for vtkClientServerSynchronizedRenderers:
[legend]
Collaboration diagram for vtkClientServerSynchronizedRenderers:
[legend]

## Public Types
typedef vtkSynchronizedRenderers | Superclass
Public Types inherited from vtkSynchronizedRenderers
enum | { SYNC_RENDERER_TAG = 15101 , RESET_CAMERA_TAG = 15102 , COMPUTE_BOUNDS_TAG = 15103 }
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkClientServerSynchronizedRenderers * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
Public Member Functions inherited from vtkSynchronizedRenderers
vtkSynchronizedRenderers * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | CollectiveExpandForVisiblePropBounds (double bounds[6])
| Computes visible prob bounds. More...
virtual void | SetRenderer (vtkRenderer *)
| Set the renderer to be synchronized by this instance. More...
virtual vtkRenderer * | GetRenderer ()
| Set the renderer to be synchronized by this instance. More...
virtual void | SetParallelController (vtkMultiProcessController *)
| Set the parallel message communicator. More...
virtual vtkMultiProcessController * | GetParallelController ()
| Set the parallel message communicator. More...
virtual void | SetParallelRendering (bool)
| Enable/Disable parallel rendering. More...
virtual bool | GetParallelRendering ()
| Enable/Disable parallel rendering. More...
virtual void | ParallelRenderingOn ()
| Enable/Disable parallel rendering. More...
virtual void | ParallelRenderingOff ()
| Enable/Disable parallel rendering. More...
virtual void | SetImageReductionFactor (int)
| Get/Set the image reduction factor. More...
virtual int | GetImageReductionFactor ()
| Get/Set the image reduction factor. More...
virtual void | SetWriteBackImages (bool)
| If on (default), the rendered images are pasted back on to the screen. More...
virtual bool | GetWriteBackImages ()
| If on (default), the rendered images are pasted back on to the screen. More...
virtual void | WriteBackImagesOn ()
| If on (default), the rendered images are pasted back on to the screen. More...
virtual void | WriteBackImagesOff ()
| If on (default), the rendered images are pasted back on to the screen. More...
virtual void | SetRootProcessId (int)
| Get/Set the root-process id. More...
virtual int | GetRootProcessId ()
| Get/Set the root-process id. More...
virtual void | SetCaptureDelegate (vtkSynchronizedRenderers *)
| When set, this->CaptureRenderedImage() does not capture image from the screen instead passes the call to the delegate. More...
virtual vtkSynchronizedRenderers * | GetCaptureDelegate ()
| When set, this->CaptureRenderedImage() does not capture image from the screen instead passes the call to the delegate. More...
virtual void | SetAutomaticEventHandling (bool)
| When multiple groups of processes are synchronized together using different controllers, one needs to specify the order in which the various synchronizers execute. More...
virtual bool | GetAutomaticEventHandling ()
| When multiple groups of processes are synchronized together using different controllers, one needs to specify the order in which the various synchronizers execute. More...
virtual void | AutomaticEventHandlingOn ()
| When multiple groups of processes are synchronized together using different controllers, one needs to specify the order in which the various synchronizers execute. More...
virtual void | AutomaticEventHandlingOff ()
| When multiple groups of processes are synchronized together using different controllers, one needs to specify the order in which the various synchronizers execute. More...
virtual void | SetFixBackground (bool)
| When doing rendering between multiple processes, it is often easier to have all ranks do the rendering on a black background. More...
virtual bool | GetFixBackground ()
| When doing rendering between multiple processes, it is often easier to have all ranks do the rendering on a black background. More...
virtual void | FixBackgroundOn ()
| When doing rendering between multiple processes, it is often easier to have all ranks do the rendering on a black background. More...
virtual void | FixBackgroundOff ()
| When doing rendering between multiple processes, it is often easier to have all ranks do the rendering on a black background. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkClientServerSynchronizedRenderers * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkClientServerSynchronizedRenderers * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkSynchronizedRenderers
static vtkSynchronizedRenderers * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkSynchronizedRenderers * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkClientServerSynchronizedRenderers ()
| ~vtkClientServerSynchronizedRenderers () override
void | MasterEndRender () override
void | SlaveEndRender () override
Protected Member Functions inherited from vtkSynchronizedRenderers
| vtkSynchronizedRenderers ()
| ~vtkSynchronizedRenderers () override
virtual void | HandleStartRender ()
virtual void | HandleEndRender ()
virtual void | HandleAbortRender ()
virtual void | MasterStartRender ()
virtual void | SlaveStartRender ()
virtual vtkRawImage & | CaptureRenderedImage ()
| Can be used in HandleEndRender(), MasterEndRender() or SlaveEndRender() calls to capture the rendered image. More...
virtual void | PushImageToScreen ()
| Can be used in HandleEndRender(), MasterEndRender() or SlaveEndRender() calls to paste back the image from this->Image to the viewport. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkSynchronizedRenderers
vtkMultiProcessController * | ParallelController
vtkOpenGLRenderer * | Renderer
vtkSynchronizedRenderers * | CaptureDelegate
vtkRawImage | Image
bool | ParallelRendering
int | ImageReductionFactor
bool | WriteBackImages
int | RootProcessId
bool | AutomaticEventHandling
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

vtkClientServerSynchronizedRenderers is a vtkSynchronizedRenderers subclass designed to be used in 2 processes, client-server mode.

Definition at line 17 of file vtkClientServerSynchronizedRenderers.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkSynchronizedRenderers vtkClientServerSynchronizedRenderers::Superclass

Definition at line 22 of file vtkClientServerSynchronizedRenderers.h.

## Constructor & Destructor Documentation

## ◆ vtkClientServerSynchronizedRenderers()

vtkClientServerSynchronizedRenderers::vtkClientServerSynchronizedRenderers | ( |  | ) |
| protected

## ◆ ~vtkClientServerSynchronizedRenderers()

vtkClientServerSynchronizedRenderers::~vtkClientServerSynchronizedRenderers | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkClientServerSynchronizedRenderers* vtkClientServerSynchronizedRenderers::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkClientServerSynchronizedRenderers::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkClientServerSynchronizedRenderers::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkSynchronizedRenderers.

## ◆ SafeDownCast()

static vtkClientServerSynchronizedRenderers* vtkClientServerSynchronizedRenderers::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkClientServerSynchronizedRenderers::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkSynchronizedRenderers.

## ◆ NewInstance()

vtkClientServerSynchronizedRenderers* vtkClientServerSynchronizedRenderers::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkClientServerSynchronizedRenderers::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ MasterEndRender()

void vtkClientServerSynchronizedRenderers::MasterEndRender | ( |  | ) |
| overrideprotectedvirtual

Reimplemented from vtkSynchronizedRenderers.

## ◆ SlaveEndRender()

void vtkClientServerSynchronizedRenderers::SlaveEndRender | ( |  | ) |
| overrideprotectedvirtual

Reimplemented from vtkSynchronizedRenderers.

The documentation for this class was generated from the following file:

- Rendering/Parallel/vtkClientServerSynchronizedRenderers.h